Skip to main content
POST
/
projects
/
{project_id}
/
keys
/
{key_id}
/
comments
/
{comment_id}
/
reactions
cURL
curl "https://api.phrase.com/v2/projects/:project_id/keys/:key_id/comments/:comment_id/reactions/" \
  -u USERNAME_OR_ACCESS_TOKEN \
  -X DELETE \
  -d '{"branch":"my-feature-branch", "emoji": "👍"}' \
  -H 'Content-Type: application/json'
phrase reactions create \
--project_id <project_id> \
--key_id <key_id> \
--comment_id <comment_id> \
--data '{"branch":"my-feature-branch", "emoji": "👍"]}' \
--access_token <token>
import requests

url = "https://api.phrase.com/v2/projects/{project_id}/keys/{key_id}/comments/{comment_id}/reactions"

headers = {"Authorization": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: '<api-key>'}};

fetch('https://api.phrase.com/v2/projects/{project_id}/keys/{key_id}/comments/{comment_id}/reactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "abcd1234cdef1234abcd1234cdef1234",
  "emoji": "🔥",
  "created_at": "2015-01-28T09:52:53Z",
  "updated_at": "2015-01-28T09:52:53Z",
  "comment": {
    "id": "abcd1234cdef1234abcd1234cdef1234",
    "message": "Some comment...",
    "name": "Joe Doe"
  },
  "user": {
    "id": "abcd1234cdef1234abcd1234cdef1234",
    "username": "joe.doe",
    "name": "Joe Doe"
  }
}

Authorizations

Authorization
string
header
required

Enter your token in the format token TOKEN

Headers

X-PhraseApp-OTP
string

Two-Factor-Authentication token (optional)

Path Parameters

project_id
string
required

Project ID

key_id
string
required

Translation Key ID

comment_id
string
required

Comment ID

Query Parameters

branch
string

specify the branch to use

emoji
string

specify the emoji for the reaction

Response

Created

id
string
emoji
string
created_at
string<date-time>
updated_at
string<date-time>
comment
comment · object
Example:
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"message": "Some message...",
"has_replies": true,
"user": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "joe.doe",
"name": "Joe Doe"
},
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z",
"locales": [
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "English",
"code": "en-GB"
}
]
}
user
user_preview · object
Example:
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"username": "johndoe",
"name": "John Doe",
"gravatar_uid": "205e460b479e2e5b48aec07710c08d50"
}